import { CosmeticRuleMarker } from '@adguard/tsurlfilter';
export declare enum Token {
    Atom = "atom",
    Attribute = "attribute",
    Bracket = "bracket",
    Builtin = "builtin",
    Comment = "comment",
    Def = "def",
    Error = "error",
    Header = "header",
    HR = "hr",
    Keyword = "keyword",
    Link = "link",
    Meta = "meta",
    Number = "number",
    Operator = "operator",
    Property = "property",
    Qualifier = "qualifier",
    Quote = "quote",
    String = "string",
    String2 = "string-2",
    Tag = "tag",
    Type = "type",
    Variable = "variable",
    Variable2 = "variable-2",
    Variable3 = "variable-3"
}
export type RuleTokens = {
    str: string;
    token: Token | null;
}[];
export declare function normalizeTokens(rule: RuleTokens): RuleTokens;
export declare function findCosmeticRuleMarker(ruleText: string): [number, CosmeticRuleMarker | null];
