import type { BasicRule } from './rules/utils';
import { BlockRequestRule } from './rules/BlockRequestRule';
import { UnblockRequestRule } from './rules/UnblockRequestRule';
import { NoFilteringRule } from './rules/NoFilteringRule';
import { Comment } from './rules/Comment';
import { CustomRule } from './rules/CustomRule';
import { DNSRule } from './rules/DNSRule';
declare const isValidDomain: any;
export type RuleType = 'block' | 'unblock' | 'noFiltering' | 'custom' | 'comment';
export type DnsRuleType = Exclude<RuleType, 'noFiltering'>;
type DomainValidationOptions = Parameters<typeof isValidDomain>[1];
export declare class RulesBuilder {
    static getRuleByType(type: 'block'): BlockRequestRule;
    static getRuleByType(type: 'unblock'): UnblockRequestRule;
    static getRuleByType(type: 'noFiltering'): NoFilteringRule;
    static getRuleByType(type: 'custom'): CustomRule;
    static getRuleByType(type: 'comment'): Comment;
    static getDnsRuleByType(type: 'block'): DNSRule;
    static getDnsRuleByType(type: 'unblock'): DNSRule;
    static getDnsRuleByType(type: 'custom'): CustomRule;
    static getDnsRuleByType(type: 'comment'): Comment;
    static validateDomain(ruleBuilder: BlockRequestRule | UnblockRequestRule | NoFilteringRule | DNSRule, opts?: DomainValidationOptions): any;
    static validateRule(ruleBuilder: BasicRule): boolean;
    static getRuleType(rawRule: string, isDnsRule?: boolean): DnsRuleType | RuleType | null;
    static getRuleFromRuleString(rawRule: string, isDnsRule?: boolean): BlockRequestRule | UnblockRequestRule | NoFilteringRule | CustomRule | Comment | DNSRule | null;
}
export {};
